UIReloadFu = AceLibrary("AceAddon-2.0"):new("AceConsole-2.0", "AceDB-2.0", "FuBarPlugin-2.0")
UIReloadFu:RegisterDB("UIReloadFuDB")
UIReloadFu.hasIcon = "Interface\\Icons\\Ability_Mount_Dreadsteed"
UIReloadFu.hideMenuTitle = true
UIReloadFu.hasNoText = true
UIReloadFu.clickableTooltip = true
UIReloadFu.defaultPosition = "CENTER"

local Tablet = AceLibrary("Tablet-2.0")
local L = AceLibrary("AceLocale-2.2"):new("FuBar_UIReloadFu")
StaticPopupDialogs["UIRELOADFUCONFIRM"] = { text = "Do you really want to Reload the User Interface?\n\nSome changes may get lost!", button1 = "Yes", button2 = "No", timeout = 0, whileDead = 1, OnAccept = function() UIReloadFu:DoReload() end}

function UIReloadFu:OnEnable()
	self:Print(L["translator"])
end

UIReloadFu.OnMenuRequest = {
	type = 'group',
	args = {
		header = {
			type = "header",
			name = L["addonname"],
			icon = UIReloadFu.hasIcon,
			iconHeight = 16,
			iconWidth = 16,
			order = 1
		},
	},
}

function UIReloadFu:OnClick()
	StaticPopup_Show("UIRELOADFUCONFIRM")
end

function UIReloadFu:DoReload()
	ReloadUI()
end

function UIReloadFu:OnTooltipUpdate()
	cat = Tablet:AddCategory(
  	'columns', 1
  )
  
  cat:AddLine(
    'text', L["ReloadUI"],
    'func', function() StaticPopup_Show("UIRELOADFUCONFIRM") end,
    'justify', "CENTER"
  )
  
  cat:AddLine(
  	'text', L["LeaveParty"],
    'func', function() LeaveParty() end,
    'justify', "CENTER"
  )
    
  Tablet:SetHint(L["FuBarHint"])
end